Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001857Frama-CPlug-in > Evapublic2014-07-25 08:192015-03-17 22:18
ReporterAnne 
Assigned Toyakobowski 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Neon-20140301 
Target VersionFixed in VersionFrama-C Sodium 
Summary0001857: Crash on invalid -val-split-return-function option
DescriptionThe Failure is caught when parsing the -val-split-return-function option, but not the Invalid_argument one, hence the crash.
Steps To ReproduceWith any C file such as :
int main (void) {
  return 0;
}

$ frama-c test.c -val -val-split-return-function main:3x

[kernel] Current source was: test.c:2
         The full backtrace is:
         Called from file "list.ml", line 55, characters 20-23
         Called from file "src/value/value_parameters.ml", line 422, characters 20-48
...
         Unexpected error (Invalid_argument("Z.of_string_base: invalid number")).
         Please report as 'crash' at http://bts.frama-c.com/. [^]
         Your Frama-C version is Neon-20140301+dev.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005298)
yakobowski (manager)
2014-07-25 21:01

Fix committed to master branch.

- Issue History
Date Modified Username Field Change
2014-07-25 08:19 Anne New Issue
2014-07-25 08:19 Anne Status new => assigned
2014-07-25 08:19 Anne Assigned To => yakobowski
2014-07-25 21:01 yakobowski Note Added: 0005298
2014-07-25 21:01 yakobowski Status assigned => resolved
2014-07-25 21:01 yakobowski Resolution open => fixed
2015-03-17 22:17 signoles Fixed in Version => Frama-C Sodium
2015-03-17 22:18 signoles Status resolved => closed
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker